Page MenuHomePhabricator

Fix broken WikibaseQualityConstraints tests
Closed, ResolvedPublic

Description

Some tests for WikibaseQualityConstraints fail on quibble-vendor-mysql-hhvm-docker with the error message:

PHPUnit_Framework_MockObject_RuntimeException: The provided class "Mock_WANObjectCache_157858e2" does not exist

This is blocking merges.

Example failure: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/525234

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterDo not mock WANObjectCache and BagOfStuff in tests
mediawiki/extensions/Wikibase : masterDNM yet - jut triggering quibble to test CI failures for now

Event Timeline

Michael created this task.Jul 24 2019, 11:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2019, 11:43 AM
Michael triaged this task as High priority.Jul 24 2019, 11:44 AM
Michael raised the priority of this task from High to Needs Triage.
Michael triaged this task as High priority.
Michael updated the task description. (Show Details)
alaa_wmde raised the priority of this task from High to Unbreak Now!.Jul 24 2019, 12:30 PM
alaa_wmde added a subscriber: alaa_wmde.

As it blocks others' work from being delivered

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 24 2019, 12:30 PM

quick update: so far quibble isn't failing for me locally

Change 525299 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] DNM yet - jut triggering quibble to test CI failures for now

https://gerrit.wikimedia.org/r/525299

Change 525304 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/WikibaseQualityConstraints@master] [DNM] - just testing quibble build

https://gerrit.wikimedia.org/r/525304

This comment seems to be related: https://phabricator.wikimedia.org/T192166#4475526

yeap it is same problem in here .. we need to speed up upgrading phpunit 😁

alaa_wmde moved this task from incoming to in progress on the Wikidata board.Jul 24 2019, 8:32 PM

Change 525304 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Do not mock WANObjectCache and BagOfStuff in tests

https://gerrit.wikimedia.org/r/525304

This comment was removed by alaa_wmde.

Change 525299 abandoned by Alaa Sarhan:
DNM yet - jut triggering quibble to test CI failures for now

https://gerrit.wikimedia.org/r/525299

Michael lowered the priority of this task from Unbreak Now! to High.Jul 25 2019, 9:50 AM

The lines that were changed have been created about a year ago. Do we have an idea what changed to cause them to break now?

Also, lowering priority as this seems to not break builds anymore.

The lines that were changed have been created about a year ago. Do we have an idea what changed to cause them to break now?
Also, lowering priority as this seems to not break builds anymore.

This happened https://gerrit.wikimedia.org/r/c/mediawiki/core/+/524646 then PHPUnit started complaining

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 16 2019, 6:16 PM

Whatever this was, it seems to be fixed by now.